import React from 'react';
import Head from 'next/head';
import Image from 'next/image';
import LandingMenu from '../src/components/Headers/LandingMenu';
import Footer from '../src/components/Footer/Footer';
import imageError from '../public/images/404.png';
import { landingRoutes } from '../src/data/LandingRoutes';

export default function Custom404() {
  return (
    <>
      <Head>
        <title>Pokédex 404 Error</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/icon.ico" />
      </Head>
      <section className="max-w-[1500px] container m-auto ">
        <LandingMenu />
        <section
          role="article"
          className="grid items-center justify-center h-full mt-24 mb-36"
        >
          <section role="article">
            <Image
              role="img"
              src={imageError}
              alt="Page Error"
              className="w-[600px]"
            />
            <h1 className="text-2xl font-medium text-center font-montserrat">
              Uupss! Page not found.
            </h1>
          </section>
        </section>
        <Footer routesData={landingRoutes} />
      </section>
    </>
  );
}
